<html>
<head>
<title>Ogre::PrefabFactory Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PrefabFactory.html">PrefabFactory</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::PrefabFactory Class Reference<div class="ingroups"><a class="el" href="group__Resources.html">Resources</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::PrefabFactory" -->
<p>A factory class that can create various mesh prefabs.  
 <a href="classOgre_1_1PrefabFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgrePrefabFactory_8h_source.html">OgrePrefabFactory.h</a>&gt;</code></p>

<p><a href="classOgre_1_1PrefabFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PrefabFactory.html#a9057439fd11ca34cd1805c805cb1e03e">createPrefab</a> (<a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *mesh)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">If the given mesh has a known prefab resource name (e.g "Prefab_Plane") then this prefab will be created as a submesh of the given mesh.  <a href="#a9057439fd11ca34cd1805c805cb1e03e"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PrefabFactory.html#a695b46719c6149a514ccf70982cf434e">createPlane</a> (<a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *mesh)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a plane as a submesh of the given mesh.  <a href="#a695b46719c6149a514ccf70982cf434e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PrefabFactory.html#ac7a3cf756871c8dcab4fc869e00969a7">createCube</a> (<a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *mesh)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a 100x100x100 cube as a submesh of the given mesh.  <a href="#ac7a3cf756871c8dcab4fc869e00969a7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PrefabFactory.html#a1aac36610560b67da3d3d1a27bcd1e3c">createSphere</a> (<a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *mesh)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a sphere with a diameter of 100 units as a submesh of the given mesh.  <a href="#a1aac36610560b67da3d3d1a27bcd1e3c"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A factory class that can create various mesh prefabs. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This class is used by OgreMeshManager to offload the loading of various prefab types to a central location. </dd></dl>

<p>Definition at line <a class="el" href="OgrePrefabFactory_8h_source.html#l00047">47</a> of file <a class="el" href="OgrePrefabFactory_8h_source.html">OgrePrefabFactory.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ac7a3cf756871c8dcab4fc869e00969a7"></a><!-- doxytag: member="Ogre::PrefabFactory::createCube" ref="ac7a3cf756871c8dcab4fc869e00969a7" args="(Mesh *mesh)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PrefabFactory.html#ac7a3cf756871c8dcab4fc869e00969a7">Ogre::PrefabFactory::createCube</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td>
          <td class="paramname"><em>mesh</em></td><td>)</td>
          <td><code> [static, private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a 100x100x100 cube as a submesh of the given mesh. </p>

</div>
</div>
<a class="anchor" id="a695b46719c6149a514ccf70982cf434e"></a><!-- doxytag: member="Ogre::PrefabFactory::createPlane" ref="a695b46719c6149a514ccf70982cf434e" args="(Mesh *mesh)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PrefabFactory.html#a695b46719c6149a514ccf70982cf434e">Ogre::PrefabFactory::createPlane</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td>
          <td class="paramname"><em>mesh</em></td><td>)</td>
          <td><code> [static, private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a plane as a submesh of the given mesh. </p>

</div>
</div>
<a class="anchor" id="a9057439fd11ca34cd1805c805cb1e03e"></a><!-- doxytag: member="Ogre::PrefabFactory::createPrefab" ref="a9057439fd11ca34cd1805c805cb1e03e" args="(Mesh *mesh)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1PrefabFactory.html#a9057439fd11ca34cd1805c805cb1e03e">Ogre::PrefabFactory::createPrefab</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td>
          <td class="paramname"><em>mesh</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>If the given mesh has a known prefab resource name (e.g "Prefab_Plane") then this prefab will be created as a submesh of the given mesh. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">mesh</td><td>The mesh that the potential prefab will be created in. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if a prefab has been created, otherwise false. </dd></dl>

</div>
</div>
<a class="anchor" id="a1aac36610560b67da3d3d1a27bcd1e3c"></a><!-- doxytag: member="Ogre::PrefabFactory::createSphere" ref="a1aac36610560b67da3d3d1a27bcd1e3c" args="(Mesh *mesh)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PrefabFactory.html#a1aac36610560b67da3d3d1a27bcd1e3c">Ogre::PrefabFactory::createSphere</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td>
          <td class="paramname"><em>mesh</em></td><td>)</td>
          <td><code> [static, private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a sphere with a diameter of 100 units as a submesh of the given mesh. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePrefabFactory_8h_source.html">OgrePrefabFactory.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
